Bug 401004 - VPN ssh connection editor is not usable on small screen
Summary: VPN ssh connection editor is not usable on small screen
Status: RESOLVED FIXED
Alias: None
Product: plasma-nm
Classification: Unclassified
Component: editor (show other bugs)
Version: 5.14.2
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jan Grulich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-13 13:40 UTC by Kamil Piwowarski
Modified: 2018-11-14 10:00 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.14.4


Attachments
settings window (98.61 KB, image/png)
2018-11-13 13:40 UTC, Kamil Piwowarski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kamil Piwowarski 2018-11-13 13:40:42 UTC
Created attachment 116282 [details]
settings window

SUMMARY

VPN ssh connection editor is not usable when the window is small.

STEPS TO REPRODUCE

1. Create new VPN ssh connection
2. Edit connection and resize window

OBSERVED RESULT

On small window input controls are changing their height

EXPECTED RESULT

Input controls height should be the same independently from window size. Scroll bar should appear when the content doesn't fit window.

SOFTWARE/OS VERSIONS

OS: Manjaro Linux KDE
KDE Plasma Version: 5.14.3
KDE Frameworks Version: 5.51.0
Qt Version: 5.11.2
Comment 1 Jan Grulich 2018-11-14 10:00:17 UTC
Git commit 9bca702c164d97f3fb7484b54fad108737e95973 by Jan Grulich.
Committed on 14/11/2018 at 07:56.
Pushed by grulich into branch 'Plasma/5.14'.

SSH VPN: put content of the configuration into scroll area
FIXED-IN: 5.14.4

M  +274  -227  vpn/ssh/sshwidget.ui

https://commits.kde.org/plasma-nm/9bca702c164d97f3fb7484b54fad108737e95973